Subject: Pteridology

From: [email-masked] (DbbKates)
Date: 7 Jun 1995 15:56:12 -0400

Is anyone else interested in higher study of ferns.  If you are actually
another person who likes these vascular cryptograms then write me.  I am
now researching a systematics problem with Botrychium in Southern
Illiinois.